classes:
  - name: rpi4-armbian-longhorn
    arch: arm64
    os: armbian-noble
    image: ${METIS_IMAGE_RPI4_ARMBIAN_LONGHORN}
    checksum: ${METIS_IMAGE_RPI4_ARMBIAN_LONGHORN_SHA256}
    k3s_version: v1.31.5+k3s1
    default_labels:
      hardware: rpi4
      node-role.kubernetes.io/worker: "true"
    root_overlay: overlays/rpi4-armbian-longhorn-root

nodes:
  - name: titan-13
    class: rpi4-armbian-longhorn
    hostname: titan-13
    ip: 192.168.22.41
    k3s_role: agent
    k3s_url: https://192.168.22.7:6443
    k3s_token: ${METIS_K3S_TOKEN}
    ssh_user: atlas
    ssh_authorized_keys:
      - ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIOb8oMX6u0z3sH/p/WBGlvPXXdbGETCKzWYwR/dd6fZb titan-bastion
    longhorn_disks:
      - mountpoint: /mnt/astreae
        uuid: 6031fa8b-f28c-45c3-b7bc-6133300e07c6
        fs: ext4
      - mountpoint: /mnt/asteria
        uuid: cbd4989d-62b5-4741-8b2a-28fdae259cae
        fs: ext4
  - name: titan-15
    class: rpi4-armbian-longhorn
    hostname: titan-15
    ip: 192.168.22.43
    k3s_role: agent
    k3s_url: https://192.168.22.7:6443
    k3s_token: ${METIS_K3S_TOKEN}
    ssh_user: atlas
    ssh_authorized_keys:
      - ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIOb8oMX6u0z3sH/p/WBGlvPXXdbGETCKzWYwR/dd6fZb titan-bastion
    longhorn_disks:
      - mountpoint: /mnt/astreae
        uuid: f3362f14-5822-449f-944b-ac570b5cd615
        fs: ext4
      - mountpoint: /mnt/asteria
        uuid: 9c5316e6-f847-4884-b502-11f2d0d15d6f
        fs: ext4
  - name: titan-17
    class: rpi4-armbian-longhorn
    hostname: titan-17
    ip: 192.168.22.45
    k3s_role: agent
    k3s_url: https://192.168.22.7:6443
    k3s_token: ${METIS_K3S_TOKEN}
    ssh_user: atlas
    ssh_authorized_keys:
      - ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIOb8oMX6u0z3sH/p/WBGlvPXXdbGETCKzWYwR/dd6fZb titan-bastion
    longhorn_disks:
      - mountpoint: /mnt/astreae
        uuid: 1fecdade-08b0-49cb-9ae3-be6c188b0a96
        fs: ext4
      - mountpoint: /mnt/asteria
        uuid: 2fe9f613-d372-47ca-b84f-82084e4edda0
        fs: ext4
  - name: titan-19
    class: rpi4-armbian-longhorn
    hostname: titan-19
    ip: 192.168.22.47
    k3s_role: agent
    k3s_url: https://192.168.22.7:6443
    k3s_token: ${METIS_K3S_TOKEN}
    ssh_user: atlas
    ssh_authorized_keys:
      - ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIOb8oMX6u0z3sH/p/WBGlvPXXdbGETCKzWYwR/dd6fZb titan-bastion
    longhorn_disks:
      - mountpoint: /mnt/astreae
        uuid: 4890abb9-dda2-4f4f-9c0f-081ee82849cf
        fs: ext4
      - mountpoint: /mnt/asteria
        uuid: 2b4ea28d-b0e6-4fa3-841b-cd7067ae9153
        fs: ext4
